<?xml version="1.0" encoding="utf-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="generator" content="Docutils 0.21.2: https://docutils.sourceforge.io/" />
<title>hg branch</title>
<link rel="stylesheet" href="../style.css" type="text/css" />
</head>
<body>
<div class="document" id="hg-branch">
<span id="hg-branch-1"></span>
<h1 class="title">hg branch</h1>
<h2 class="subtitle" id="set-or-show-the-current-branch-name">set or show the current branch name</h2>

<div class="contents htmlonly topic" id="contents">
<p class="topic-title"><a class="reference internal" href="#top">Contents</a></p>
<ul class="simple">
<li><a class="reference internal" href="#synopsis" id="toc-entry-1">Synopsis</a></li>
<li><a class="reference internal" href="#description" id="toc-entry-2">Description</a></li>
<li><a class="reference internal" href="#options" id="toc-entry-3">Options</a></li>
</ul>
</div>
<div class="section" id="synopsis">
<h1><a class="toc-backref" href="#contents">Synopsis</a></h1>
<pre class="literal-block">
hg branch [-fC] [NAME]
</pre>
</div>
<div class="section" id="description">
<h1><a class="toc-backref" href="#contents">Description</a></h1>
<div class="admonition note">
<p class="first admonition-title">Note</p>
<p class="last">Branch names are permanent and global. Use <a class="reference external" href="hg-bookmark.html"><tt class="docutils literal">hg bookmark</tt></a> to create a
light-weight bookmark instead. See <a class="reference external" href="topic-glossary.html"><tt class="docutils literal">hg help glossary</tt></a> for more
information about named branches and bookmarks.</p>
</div>
<p>With no argument, show the current branch name. With one argument,
set the working directory branch name (the branch will not exist
in the repository until the next commit). Standard practice
recommends that primary development take place on the 'default'
branch.</p>
<p>Unless -f/--force is specified, branch will not let you set a
branch name that already exists.</p>
<p>Use -C/--clean to reset the working directory branch to that of
the parent of the working directory, negating a previous branch
change.</p>
<p>Use the command <a class="reference external" href="hg-update.html"><tt class="docutils literal">hg update</tt></a> to switch to an existing branch. Use
<a class="reference external" href="hg-commit.html"><tt class="docutils literal">hg commit <span class="pre">--close-branch</span></tt></a> to mark this branch head as closed.
When all heads of a branch are closed, the branch will be
considered closed.</p>
<p>Returns 0 on success.</p>
</div>
<div class="section" id="options">
<h1><a class="toc-backref" href="#contents">Options</a></h1>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-f</span>, <span class="option">--force</span></kbd></td>
<td>set branch name even if it shadows an existing branch</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-C</span>, <span class="option">--clean</span></kbd></td>
<td>reset branch name to parent branch name</td></tr>
<tr><td class="option-group" colspan="2">
<kbd><span class="option">-r</span>, <span class="option">--rev <var>&lt;VALUE[+]&gt;</var></span></kbd></td>
</tr>
<tr><td>&nbsp;</td><td>change branches of the given revs (EXPERIMENTAL)</td></tr>
</tbody>
</table>
<p>[+] marked option can be specified multiple times</p>
</div>
</div>
</body>
</html>
